<?PHP
session_start();
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
$sql = "SELECT * FROM candidato where codigo_vest = '$qual_vestibular' ORDER by codigo ASC";
$result = mysql_query($sql)
	or die ( 'Não foi possível executar a query 161.' );
$num = mysql_num_rows($result);
$num_total = $num;
$num_pendente = 0;
$num_ok = 0;
while($information = mysql_fetch_array($result)) {
	$aux = $information["entregue"];
	if ($aux == 'yes') {
		$num_ok++;
	}
	else {
		$num_pendente++;
	}
}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>
<head>
	<title>Cursos</title>
</head>

<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#0000FF" alink="#FF0000">
<form action="inscricao.php?funcao=4" method="post">
<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
<tr>
	<td>
		<br>
		<br>
		<strong><font face="Verdana" size="2" color="#800000">Inscrições: <?echo $num;?></font></strong><br>
		<br>
		<li><a href="inscricao.php?funcao=1"><font face="Verdana" size="2" color="#000000">Inscrições Pendentes</font></a> <font face="Verdana" size="2" color="#FF0000"><strong>(<? echo $num_pendente;?>)</strong></font></li><br>
		<li><a href="inscricao.php?funcao=2"><font face="Verdana" size="2" color="#000000">Inscrições Prontas</a></font></li> <font face="Verdana" size="2" color="#FF0000"><strong>(<? echo $num_ok;?>)</strong></font><br>
		<li><a href="inscricao.php?funcao=3"><font face="Verdana" size="2" color="#000000">Inscrições Por Curso</a></font></li><br>
		<table width="80%" border="0" cellspacing="0" cellpadding="0" align="left">
			<tr>
				<td valign="top"><li><font face="Verdana" size="2" color="#000000">Procurar Ficha</font></td>
				<td><font face="Verdana" size="2" color="#000000">
					<input type="radio" name="tipo_da_busca" value="1" checked>Por Inscrição
					<input type="radio" name="tipo_da_busca" value="2">Por Nome
					<input type="radio" name="tipo_da_busca" value="3">Por Identidade
					<br>
					<input type="text" name="numero_da_ficha" size="40" maxlength="80">
					<input type="submit" name="busca" value="Procurar"></font>
				</td>
			</tr>
		</table>

	</td>
</tr>
</table>
</form>
<?
	##
	# Opcao 2
	#
	if ($funcao == 2) {
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM candidato where codigo_vest = '$qual_vestibular' ORDER by codigo ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>Não existe nenhuma inscrição no Processo Seletivo no momento!!!</b><font></center>';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">Inscrições Prontas</font></div></strong>';
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#ff0000">Clique no número da Inscrição para Altera-la ou Remove-la</font></div></strong>';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			echo '<tr>';
				echo '<td width="8%"><font face="Verdana" size="1" color="#000000"><b># Insc.</b></font></td>';
				echo '<td width="31%"><font face="Verdana" size="1" color="#000000"><b>Nome Candidato</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>R.G.</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>Telefone</b></font></td>';
				echo '<td width="13%"><font face="Verdana" size="1" color="#000000"><b>Data Pedido</b></font></td>';
				echo '<td width="24%"><font face="Verdana" size="1" color="#000000"><b>Curso</b></font></td>';
			echo '</tr>';
			while($information = mysql_fetch_array($result)) {
				$aux = $information["entregue"];
				if ($aux == 'yes') {
				echo '<tr>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><a href="editar.php?id=' . $information["codigo"] . '">';
						 if ($information["codigo"] <= 9)
						 	echo '00000'. $information["codigo"];
						 if (($information["codigo"] >= 10) && ($information["codigo"] <= 99))
						 	echo  '0000'. $information["codigo"];
						 if (($information["codigo"] >= 100) && ($information["codigo"] <= 999))
						 	echo  '000'. $information["codigo"];
						 if (($information["codigo"] >= 1000) && ($information["codigo"] <= 9999))
						 	echo   '00'. $information["codigo"];
						 if ($information["codigo"] >= 10000)
						 	echo    '0'. $information["codigo"];
						 echo '</a></font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						 $aux = $information["nome_candidato"];
						 if ($aux != '')
						 	echo $aux;
						else
							echo '<center><b><font color="#ff0000">Ficha em Branco</font></b></center>';
						 echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						if ($information["rg"] == '')
							echo '<center>-</center>';
						else
							echo $information["rg"];
						echo '</font>';
					echo '</td>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = $information["telefone"];
						if ($aux == '')
							echo '<center>-</center>';
						else
							echo $information["codtelefone"].'-'.$aux   ;
						echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><center>' . $information["data_ficha"]. '</center></font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = $information["curso"];
						if ($aux == '')
							echo '<center>-</center>';
						else {
							$sql1 = "SELECT * FROM cursos where codigo = $aux ORDER by codigo ASC";
							$result1 = mysql_query($sql1)
								or die ( 'Não foi possível executar a query 162.' );
							while($info = mysql_fetch_array($result1)) {
									$aux1 = $info["nome_curso"];
									echo $aux1;
							}
						}
						echo '</font>';
					echo '</td>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
			}
		}

?>

<?
		exit;
	}
?>


<?
	##
	# Opcao 3
	#
	if ($funcao == 3) {
		mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM cursos ORDER by codigo ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 163.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>Não existe nenhuma inscrição no Processo Seletivo no momento!!!</b><font></center>';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">Inscrições por Curso (GERAL)</font></div></strong>';
			echo '<br><table width="65%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			echo '<tr>';
				echo '<td width="50%"><font face="Verdana" size="1" color="#000000"><b><div align="center">Curso</div></b></font></td>';
				echo '<td width="50%"><font face="Verdana" size="1" color="#000000"><b><div align="center">Ação</div></b></font></td>';
			echo '</tr>';
			$total = 0;
			while($information = mysql_fetch_array($result)) {
			echo '<tr>';
				echo '<td width="50%"><font face="Verdana" size="1" color="#000000">' . $information["nome_curso"] .'</font>';
					echo '<font face="Verdana" size="1" color="#ff0000"> <strong>(';



					$numero = 0;
					$sql_1a = "SELECT * FROM candidato where codigo_vest = '$qual_vestibular' ORDER by codigo ASC";
					$result_1a = mysql_query($sql_1a)
						or die ( 'Não foi possível executar a query 161c.' );
					while($info = mysql_fetch_array($result_1a)) {
						$aux = $info["curso"];
						$entregue = $info["entregue"];
						if ($aux == $information["codigo"] && $entregue == 'yes') {
							$numero++;
							$total++;
						}
					}



						
					echo $numero . ')</strong></font>';
					echo '</td>';
				echo '<td width="50%"><div align="center"><a href="ver_curso.php?id=' . $information["codigo"] . '"><font face="Verdana" size="1" color="#000000">Visualizar</font></a></div></td>';
			echo '</tr>';
			}
			echo '<tr>';
				echo '<td width="50%" bgcolor="ffffcc"><font face="Verdana" size="1" color="red"><b><div align="center">Fichas em Branco</div></b></font></td>';
				echo '<td width="50%" bgcolor="#ffffcc"><font face="Verdana" size="1" color="red"><b><div align="center">';
					$fb = $num_total - $total;
					echo $fb;
				echo '</div></b></font></td>';
			echo '</table>';
		}
		
?>

<?
		exit;
	}
?>


<?
	##
	# Opcao 1
	#
	if ($funcao == 1) {
	$total_pagina = 5;
	
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		$sql = "SELECT * FROM candidato where codigo_vest = '$qual_vestibular' ORDER by codigo ASC";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>Não existe nenhuma inscrição no Processo Seletivo no momento!!!</b><font></center>';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">Inscrições Pendentes</font></div></strong>';
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#ff0000">Clique no número da Inscrição para Altera-la ou Remove-la</font></div></strong>';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			echo '<tr>';
				echo '<td width="8%"><font face="Verdana" size="1" color="#000000"><b># Insc.</b></font></td>';
				echo '<td width="31%"><font face="Verdana" size="1" color="#000000"><b>Nome Candidato</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>R.G.</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>Telefone</b></font></td>';
				echo '<td width="13%"><font face="Verdana" size="1" color="#000000"><b>Data Pedido</b></font></td>';
				echo '<td width="24%"><font face="Verdana" size="1" color="#000000"><b>Curso</b></font></td>';
			echo '</tr>';
			while($information = mysql_fetch_array($result)) {
				$aux =$information["entregue"];
				if ($aux == 'no') {
				echo '<tr>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><a href="editar.php?id=' . $information["codigo"] . '">';
						 if ($information["codigo"] <= 9)
						 	echo '00000'. $information["codigo"];
						 if (($information["codigo"] >= 10) && ($information["codigo"] <= 99))
						 	echo  '0000'. $information["codigo"];
						 if (($information["codigo"] >= 100) && ($information["codigo"] <= 999))
						 	echo   '000'. $information["codigo"];
						 if (($information["codigo"] >= 1000) && ($information["codigo"] <= 9999))
						 	echo    '00'. $information["codigo"];
						 if ($information["codigo"] >= 10000)
						 	echo     '0'. $information["codigo"];
						 echo '</a></font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						 $aux = $information["nome_candidato"];
						 if ($aux != '')
						 	echo $aux;
						else
							echo '<center><b><font color="#ff0000">Ficha em Branco</font></b></center>';
						 echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						if ($information["rg"] == '')
							echo '<center>-</center>';
						else
							echo $information["rg"];
						echo '</font>';
					echo '</td>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = $information["telefone"];
						if ($aux == '')
							echo '<center>-</center>';
						else
							echo $information["codtelefone"].'-'.$aux   ;
						echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><center>' . $information["data_ficha"]. '</center></font>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = $information["curso"];
						if ($aux == '')
							echo '<center>-</center>';
						else {
							$sql1 = "SELECT * FROM cursos where codigo = $aux ORDER by codigo ASC";
							$result1 = mysql_query($sql1)
								or die ( 'Não foi possível executar a query 162.' );
							while($info = mysql_fetch_array($result1)) {
									$aux1 = $info["nome_curso"];
									echo $aux1;
							}
						}
						echo '</font>';
					echo '</td>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
			}
		}

?>

<?
		exit;
	}
?>



<?
	##
	# Opcao 4
	#
	if ($funcao == 4) {
	mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
		mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
		if ($tipo_da_busca == 1) {
		$sql = "SELECT * FROM candidato where codigo = $numero_da_ficha";
		}
		if ($tipo_da_busca == 2) {
			$sql = "SELECT * FROM candidato";
			echo 'Em implementação!';
			exit;
		}
		if ($tipo_da_busca == 3) {
			$sql = "SELECT * FROM candidato";
			echo 'Em implementação!';
			exit;
		}
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font color="#ff0000" face="Verdana" size="3"><b>Ficha de Inscrição NÃO encontrada no sistema!!!</b><font></center>';
		}
		else {
			echo '<strong><div align="center"><font face="Verdana" size="2">Resutado da Busca</font></div></strong>';
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#ff0000">Clique no número da Inscrição para Altera-la ou Remove-la</font></div></strong>';
			echo '<br><table width="95%" border="1" cellspacing="0" cellpadding="0" align="center">';
			$cor = "FFFFFF";
			echo '<tr>';
				echo '<td width="8%"><font face="Verdana" size="1" color="#000000"><b># Insc.</b></font></td>';
				echo '<td width="31%"><font face="Verdana" size="1" color="#000000"><b>Nome Candidato</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>R.G.</b></font></td>';
				echo '<td width="12%"><font face="Verdana" size="1" color="#000000"><b>Telefone</b></font></td>';
				echo '<td width="13%"><font face="Verdana" size="1" color="#000000"><b>Data Pedido</b></font></td>';
				echo '<td width="24%"><font face="Verdana" size="1" color="#000000"><b>Curso</b></font></td>';
			echo '</tr>';
			while($information = mysql_fetch_array($result)) {
				$aux = trim(Descriptografar($information["entregue"],$Chave));
				if (($aux == 'no') || ($aux == 'yes')) {
				echo '<tr>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><a href="editar.php?id=' . $information["codigo"] . '">';
						 if ($information["codigo"] <= 9)
						 	echo '00000'. $information["codigo"];
						 if (($information["codigo"] >= 10) && ($information["codigo"] <= 99))
						 	echo  '0000'. $information["codigo"];
						 if (($information["codigo"] >= 100) && ($information["codigo"] <= 999))
						 	echo   '000'. $information["codigo"];
						 if (($information["codigo"] >= 1000) && ($information["codigo"] <= 9999))
						 	echo    '00'. $information["codigo"];
						 if ($information["codigo"] >= 10000)
						 	echo     '0'. $information["codigo"];
						 echo '</a></font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						 $aux = trim(Descriptografar($information["nome_candidato"],$Chave));
						 if ($aux != '')
						 	echo $aux;
						else
							echo '<center><b><font color="#ff0000">Ficha em Branco</font></b></center>';
						 echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						if ($information["rg"] == '')
							echo '<center>-</center>';
						else
							echo $information["rg"];
						echo '</font>';
					echo '</td>';
					echo '<td align="center" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = trim(Descriptografar($information["telefone"],$Chave));
						if ($aux == '')
							echo '<center>-</center>';
						else
							echo trim(Descriptografar($information["codtelefone"],$Chave)).'-'.$aux   ;
						echo '</font>';
					echo '</td>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1"><center>' . Descriptografar($information["data_ficha"] ,$Chave). '</center></font>';
					echo '<td align="left" bgcolor="' . $cor . '">';
						echo '<font face ="verdana" size = "1">';
						$aux = trim(Descriptografar($information["curso"] ,$Chave));
						if ($aux == '')
							echo '<center>-</center>';
						else {
							$sql1 = "SELECT * FROM cursos ORDER by codigo ASC";
							$result1 = mysql_query($sql1)
								or die ( 'Não foi possível executar a query 162.' );
							while($info = mysql_fetch_array($result1)) {
								if ($aux == $info["codigo"]) {
									$aux1 = $info["nome_curso"];
									echo trim(Descriptografar($aux1,$Chave));
								}
							}
						}
						echo '</font>';
					echo '</td>';
			if ($cor == "FFFFFF") 
				$cor = "E1E1E1";
			else 
				$cor = "FFFFFF";
			}
			}
		}

?>

<?
		exit;
	}
?>




</body>
</html>
